EclaireXL - Bug #36

Joystick is always emulated through the USB keyboard arrow keys
06/03/2017 09:34 AM - ndary
Description

| have connected only a USB keyboard (not mouse, or USB keyboard with built in mouse), and noticed when i try to run an ATARI
software that use the ARROW KEYS to navigate (like the attached sysinfo), the navigation though the Arrow keys are not possible.

Nir

Related issues:
Related to Feature #11: Non-uk keyboard support (custom keyboard mapping) New 04/05/2017

History

#1 - 06/03/2017 10:31 AM - foft

- Status changed from New to Rejected

Not a bug, the keyboard matches the Atari layout.
See the core manual.

There is a feature request for custom mapping.
#2 - 06/03/2017 10:48 AM - ndary
Its is not about the keyboard mapping...

if you connect just a USB keyboard (not one with built in mouse) and you load a Joystick test tool or do a simple basic program to look at STICK 0
values, then move the arrow keys you can see joystick movement..

but there is no joystick connected to the computer!

maybe the joystick has priority over the arrow keys not sue, but due to this some software that use the arrow keys to navigate do not respond to arrow
keys because of the Joystick routines on the arrow keys (see the attached sysifo too)

Nir

#3 - 06/03/2017 12:23 PM - foft

The keyboard is mapped to match the Atari layout. Sorry the arrow keys are in the same location as on the 800XL. i.e. like this:
http://www.64kib.com/autobuild/keyboard.JPG. So you need to press the keys to the right of P and L. Also some programs will of course need control.
There are keyboard stickers available which make it clearer to use and then it looks like an Atari keyboard.

Yes the keyboard arrow keys should not really be mapped with this scheme, | just connected them to the joystick for convenience on some platforms
so | didn't need to find a joystick.

#4 - 06/03/2017 12:24 PM - foft
- Related to Feature #11: Non-uk keyboard support (custom keyboard mapping) added

Files

Syslinfo v2.24 (2014-08-01)(Kokoszkiewicz, Konrad M.)(PL)(en).atr 90 KB 06/03/2017 ndary
